Search for %s
- Search 7.x for %s
- Search 9.5.x for %s
- Search 8.9.x for %s
- Search 11.x for %s
- Search main for %s
- Other projects
| Title | Object type | File name | Summary |
|---|---|---|---|
| TableSort::getContextFromRequest | function | core/ |
Initializes the table sort context. |
| TableSort::getOrder | function | core/ |
Determines the current sort criterion. |
| TableSort::getQueryParameters | function | core/ |
Composes a URL query parameter array for table sorting links. |
| TableSort::getSort | function | core/ |
Determines the current sort direction. |
| TableSort::header | function | core/ |
Formats a column header. |
| TableSortExtender | class | core/ |
Query extender class for tablesort queries. |
| TableSortExtender | class | core/ |
CoreFakeWithAllCustomClasses implementation of \Drupal\Core\Database\Query\TableSortExtender. |
| TableSortExtender.php | file | core/ |
|
| TableSortExtender.php | file | core/ |
|
| TableSortExtender::orderByHeader | function | core/ |
Order the query based on a header array. |
| TableSortExtender::__construct | function | core/ |
|
| TableSortExtenderTest | class | core/ |
Tests table sorting. |
| TableSortExtenderTest.php | file | core/ |
|
| TableSortExtenderTest::testTableSortInit | function | core/ |
Tests \Drupal\Core\Utility\TableSort::getContextFromRequest(). |
| TableTest | class | core/ |
Tests built-in table theme functions. |
| TableTest | class | core/ |
For testing the table plugin. |
| TableTest.php | file | core/ |
|
| TableTest.php | file | core/ |
|
| TableTest::$captionText | property | core/ |
Text added to captions. |
| TableTest::$defaultTheme | property | core/ |
|
| TableTest::$host | property | core/ |
A host entity with a body field to embed images in. |
| TableTest::$modules | property | core/ |
|
| TableTest::$modules | property | core/ |
Modules to install. |
| TableTest::$tableCellText | property | core/ |
Text added to table cells. |
| TableTest::assertTableStructureInEditorData | function | core/ |
Confirms the structure of the table within the editor data. |
| TableTest::assertTableStructureInRenderedPage | function | core/ |
Confirms the saved page has the expected table structure. |
| TableTest::setUp | function | core/ |
|
| TableTest::testTableCaptionUi | function | core/ |
Tests creating a table with caption in the UI. |
| TableTest::testTableConversion | function | core/ |
Confirms tables convert to the expected markup. |
| TableTest::testThemeTableFooter | function | core/ |
Tests that the 'footer' option works correctly. |
| TableTest::testThemeTableHeaderCellOption | function | core/ |
Tests that the 'header' option in cells works correctly. |
| TableTest::testThemeTableHeaderRenderArray | function | core/ |
Tests header elements with a mix of string and render array values. |
| TableTest::testThemeTableNoStickyHeaders | function | core/ |
If $sticky is FALSE, `sticky-header` class should not be included. |
| TableTest::testThemeTableNotResponsiveHeaders | function | core/ |
Tests that the 'responsive-table' class is not applied without headers. |
| TableTest::testThemeTableNotResponsiveProperty | function | core/ |
Tests that 'responsive-table' class only applied when responsive is TRUE. |
| TableTest::testThemeTableResponsive | function | core/ |
Tests that the 'responsive-table' class is applied correctly. |
| TableTest::testThemeTableResponsivePriority | function | core/ |
Tests 'priority-medium' and 'priority-low' classes. |
| TableTest::testThemeTableRowRenderArray | function | core/ |
Tests row elements with a mix of string and render array values. |
| TableTest::testThemeTableStickyHeaders | function | core/ |
If $sticky is TRUE, `sticky-header` class should be included. |
| TableTest::testThemeTableTitle | function | core/ |
Tests that the select/checkbox label is being generated and escaped. |
| TableTest::testThemeTableWithEmptyMessage | function | core/ |
Tests the display of the table header. |
| TableTest::testThemeTableWithNoStriping | function | core/ |
Tests that the 'no_striping' option works correctly. |
| tabs.css | file | core/ |
/* * DO NOT EDIT THIS FILE. * See the following change record for more information, * https://www.drupal.org/node/3084859 * @preserve */ /** * Tabs. */ :root { /** * Tabs. */ --tabs-border-radius-size: var(--base-border-radius); … |
| tabs.css | file | core/ |
Visual styles for tabs. |
| tabs.css | file | core/ |
/* * DO NOT EDIT THIS FILE. * See the following change record for more information, * https://www.drupal.org/node/3084859 * @preserve */ /* Breakpoint where tabs switch between vertical and horizontal layouts. */ .tabs { --tabs-height:… |
| tabs.css | file | core/ |
Visual styles for tabs. |
| tabs.css | file | core/ |
This file is used to style the tabs region. |
| tabs.pcss.css | file | core/ |
/** * Tabs. */ :root { /** * Tabs. */ --tabs-border-radius-size: var(--base-border-radius); --tabs--hover-height: 3px; --tabs--focus-height: 3px; --tabs--active-height: 3px; --tabs-link-height: 3rem; /* 48px */ … |
| tabs.pcss.css | file | core/ |
@import "../base/media-queries.pcss.css"; /* Breakpoint where tabs switch between vertical and horizontal layouts. */ @custom-media --tabs-layout-switch (--md); .tabs { --tabs-height: var(--sp3); --tabs-padding-inline: var(--sp1-5); … |
| Tag::summaryTitle | function | core/ |
Returns a string to display as the clickable title for the access control. |
Pagination
- Previous page
- Page 1249
- Next page
Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.